import { Component, OnInit, ViewChild, TemplateRef } from '@angular/core';
import { FormBuilder, FormGroup } from '@angular/forms';
import { buildFormGroup } from './dynaform/libs';

import { formMetaDataObj, standAlone } from './_mock/testfields';

@Component({
	selector: 'app-root',
	templateUrl: './app.component.html',
	styleUrls: ['./app.component.scss']
})
export class AppComponent implements OnInit {

	form: FormGroup;

	formMetaDataObj = formMetaDataObj;
	standAlone = standAlone;

	@ViewChild('testTemplate', { read: TemplateRef })
	private tref: TemplateRef<any>;

	// tempctl;
	// tempgrp;

	constructor(
		protected fb: FormBuilder
	) {
	}

	ngOnInit() {
		const fullFormMeta = {
			dynaformtest: { meta: this.formMetaDataObj }
		};
		this.form = buildFormGroup(fullFormMeta);
		this.form.addControl('standAlone', buildFormGroup(standAlone));
		// this.tempctl = (<FormGroup>this.form.controls.standAlone).controls.checkbuttonSA;
		// this.tempgrp = (<FormGroup>this.form.controls.standAlone).controls.checkbuttonGroupSA;
	}
}

