import { NgModule } from '@angular/core';
import { CommonModule } from '@angular/common';
import { FormsModule, ReactiveFormsModule } from '@angular/forms';

import { NgbModule } from '@ng-bootstrap/ng-bootstrap';

import { DynaformComponent } from './dynaform.component';
import { DynafieldDirective } from './directives/dynafield.directive';

import * as formFieldComponents from './components';
const ffcArr = Object.values(formFieldComponents); // Array of all the Form Field Components

import { DateInputsModule } from '@progress/kendo-angular-dateinputs';

@NgModule({
	imports: [
		CommonModule,
		FormsModule,
		ReactiveFormsModule,
		NgbModule,
		DateInputsModule
	],
	declarations: [
		DynaformComponent,
		DynafieldDirective,
		...ffcArr
	],
	entryComponents: ffcArr,
	exports: [
		DynaformComponent
	]
})
export class DynaformModule { }
